Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038202
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-03-22 17:102018-05-09 19:29
ReportergorkaionView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision73788ba5c162
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038202: Wrong error management in Process Price Difference Adjustment

DescriptionWhen a Price Difference adjustment is generated using the process "Process Price Difference Adjustment. If there is an error in the process the error is shown to the user but no rollback is done leaving inconsistent data.
Steps To ReproduceThese steps require that issue 0038203 is not fixed:

1. Go to Goods Movement window and create a new header.
2. Add a line of Cerveza Ale and move 100 Uds from RN-0-0-0 to RN-1-0-0
3. Go to Product window and select Cerveza Ale.
4. On the Transactions tab search the Movement To transaction related to the Goods Movement recently processed.
5. Click on Manual Cost Adjustment and process it with following data:
** If the button is not visible go to Process Request and ensure that Costing Background Process is executed and that the goods movement transaction has its cost calculated.
- Amount: 140 (something different than current total cost)
- Date: leave default.
- Incremental: false.
6. Check that the transaction now has the Is Cost Permanent flag true.
7. Go to Purchase Invoice 10001142 and unpost and reactivate it.
8. On the Cerveza Ale line change the price to 3.
9. Process the Invoice again.
10. Go to Process Price Difference Adjustment and set:
- Organization F&B España
- Movement Date 1-12-2017
- Product Cerveza Ale
11. Click done.
12. The process ends with an error It is not possible to process a Cost Adjustment that includes lines of transactions whose cost is permanently adjusted.\nLines: 50
13. Go to the Cost Adjustment window and check that there is a cost adjustment created for the Price Difference process in Draft Status.
Proposed SolutionAdd a rollback in the catch block of PriceDifferenceByDateProcess java class.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038203 closedAtulOpenbravo Permanently adjusted transactions wrongly included in Cost Adjustment process. 

-  Notes
(0103786)
AtulOpenbravo (developer)
2018-04-10 19:42

Test Plan

Assuming issue 0038203 is not fixed:

1. Go to Goods Movement window and create a new header.
2. Add a line of Cerveza Ale and move 100 Uds from RN-0-0-0 to RN-1-0-0
3. Go to Product window and select Cerveza Ale.
4. On the Transactions tab search the Movement To transaction related to the Goods Movement recently processed.
5. Click on Manual Cost Adjustment and process it with following data:
   ** If the button is not visible go to Process Request and ensure that Costing Background Process is executed and that the goods movement transaction has its cost calculated.
   - Amount: 140 (something different than current total cost)
   - Date: leave default.
   - Incremental: false.
6. Check that the transaction now has the Is Cost Permanent flag true.
7. Go to Purchase Invoice 10001142 and unpost and reactivate it.
8. On the Cerveza Ale line change the price to 3.
9. Process the Invoice again.
10. Go to Process Price Difference Adjustment and set:
   - Organization F&B España
   - Movement Date 1-12-2017
   - Product Cerveza Ale
11. Click done.
12. Go to the Cost Adjustment window and check that there is no cost adjustment created for the Price Difference process in Draft Status.
(0103811)
hgbot (developer)
2018-04-11 14:16

Repository: erp/devel/pi
Changeset: 73788ba5c162e248f4f345871003d03e127ff22d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Apr 10 19:19:32 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/73788ba5c162e248f4f345871003d03e127ff22d [^]

Fixes Issue 38202:Process Price Difference Adjustment creates a draft
cost adjustment record when there is error in process it.

Added rollback in catch when there is error in processing
cost adjustment to avoid creation of draft adjustment

---
M src/org/openbravo/costing/PriceDifferenceByDateProcess.java
---
(0103813)
aferraz (developer)
2018-04-11 14:18

Code review + Testing OK
(0104369)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-22 17:10 gorkaion New Issue
2018-03-22 17:10 gorkaion Assigned To => Triage Finance
2018-03-22 17:10 gorkaion Modules => Core
2018-03-22 17:10 gorkaion Triggers an Emergency Pack => No
2018-03-22 17:11 ngarcia Issue Monitored: ngarcia
2018-03-22 17:23 gorkaion Steps to Reproduce Updated View Revisions
2018-03-22 17:24 gorkaion Relationship added related to 0038203
2018-03-22 17:39 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-04-08 19:37 AtulOpenbravo Status new => scheduled
2018-04-10 19:42 AtulOpenbravo Note Added: 0103786
2018-04-11 14:16 hgbot Checkin
2018-04-11 14:16 hgbot Note Added: 0103811
2018-04-11 14:16 hgbot Status scheduled => resolved
2018-04-11 14:16 hgbot Resolution open => fixed
2018-04-11 14:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/73788ba5c162e248f4f345871003d03e127ff22d [^]
2018-04-11 14:18 aferraz Review Assigned To => aferraz
2018-04-11 14:18 aferraz Note Added: 0103813
2018-04-11 14:18 aferraz Status resolved => closed
2018-04-11 14:18 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104369


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker